package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.BizDoc;

/**
 * 文档Service接口
 * 
 * @author ruoyi
 * @date 2025-08-28
 */
public interface IBizDocService 
{
    /**
     * 查询文档
     * 
     * @param docId 文档主键
     * @return 文档
     */
    public BizDoc selectBizDocByDocId(Long docId);

    /**
     * 查询文档列表
     * 
     * @param bizDoc 文档
     * @return 文档集合
     */
    public List<BizDoc> selectBizDocList(BizDoc bizDoc);

    /**
     * 新增文档
     * 
     * @param bizDoc 文档
     * @return 结果
     */
    public int insertBizDoc(BizDoc bizDoc);

    /**
     * 修改文档
     * 
     * @param bizDoc 文档
     * @return 结果
     */
    public int updateBizDoc(BizDoc bizDoc);

    /**
     * 批量删除文档
     * 
     * @param docIds 需要删除的文档主键集合
     * @return 结果
     */
    public int deleteBizDocByDocIds(Long[] docIds);

    /**
     * 删除文档信息
     * 
     * @param docId 文档主键
     * @return 结果
     */
    public int deleteBizDocByDocId(Long docId);
}